import { Context } from './context';

/**
 * @deprecated This function is deprecated and will be removed in future versions.
 * Formats the given context into a string representation.
 *
 * @param context - The context to format, which is an array of objects containing questions and responses.
 * @returns A formatted string representation of the context or "No context" if an error occurs.
 */
export function formatContext(context: Context) {
	try {
		return context
			.map(({ question, response }) => `Question: ${question}\nAnswer: ${response}`)
			.join('\n\n');
	} catch {
		return 'No context';
	}
}
